org.apache.solr.common.params

## Enum TermsParams.TermsRegexpFlag

- java.lang.Object
- - java.lang.Enum<TermsParams.TermsRegexpFlag>
  - - org.apache.solr.common.params.TermsParams.TermsRegexpFlag

- All Implemented Interfaces:
    Serializable, Comparable<TermsParams.TermsRegexpFlag>
  Enclosing interface:
    TermsParams

      public static enum TermsParams.TermsRegexpFlag
      extends Enum<TermsParams.TermsRegexpFlag>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CANON_EQ`
    `CASE_INSENSITIVE`
    `COMMENTS`
    `DOTALL`
    `LITERAL`
    `MULTILINE`
    `UNICODE_CASE`
    `UNIX_LINES`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static TermsParams.TermsRegexpFlag` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TermsParams.TermsRegexpFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNIX_LINES

          public static final TermsParams.TermsRegexpFlag UNIX_LINES

    - #### CASE_INSENSITIVE

          public static final TermsParams.TermsRegexpFlag CASE_INSENSITIVE

    - #### COMMENTS

          public static final TermsParams.TermsRegexpFlag COMMENTS

    - #### MULTILINE

          public static final TermsParams.TermsRegexpFlag MULTILINE

    - #### LITERAL

          public static final TermsParams.TermsRegexpFlag LITERAL

    - #### DOTALL

          public static final TermsParams.TermsRegexpFlag DOTALL

    - #### UNICODE_CASE

          public static final TermsParams.TermsRegexpFlag UNICODE_CASE

    - #### CANON_EQ

          public static final TermsParams.TermsRegexpFlag CANON_EQ

  - ### Method Detail

    - #### values

          public static TermsParams.TermsRegexpFlag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TermsParams.TermsRegexpFlag c : TermsParams.TermsRegexpFlag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TermsParams.TermsRegexpFlag valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.